> For the complete documentation index, see [llms.txt](https://documentation.dnanexus.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://documentation.dnanexus.com/developer/api/oidc-clients.md).

# OIDC Clients

Learn how to use API methods related to enabling users of a third-party web application to log into that app using DNAnexus Platform login credentials.

DNAnexus Open ID Connect (OIDC) clients are web-based applications that let end-users sign in using their DNAnexus Platform credentials. For details on how to set up OIDC for your web apps, see [Enabling Web Application Users to Log In with DNAnexus Credentials](/developer/apps/enabling-web-application-users-to-log-in-with-dnanexus-credentials.md#enabling-web-application-users-to-log-in-with-dnanexus-credentials).

## API Method Specifications

### API method: `/oidcClient-xxxx/describe`

#### Specification

If the requesting user is the [registered author of a web app configured as an OIDC client](/developer/apps/enabling-web-application-users-to-log-in-with-dnanexus-credentials.md#step-1-register-your-app-with-dnanexus-and-get-a-client-id), this method returns detailed information about that OIDC client.

#### Outputs

The following fields are returned for all users.

* `clientId` **string** The client ID of the app that is configured as an OIDC client.
* `clientName` **string** The name of the app.

The following fields are returned only for logged-in users.

* `homepageUri` **string** The URL of the page used to access and use the app.
* `policyUri` **string** The URL of the app's privacy policy document.
* `tosUri` **string** The URL of the app's terms of service document.

### API method: `/oidcClient-xxxx/resetClientSecret`

#### Specification

If the requesting user is the [registered author of a web app configured as an OIDC client](/developer/apps/enabling-web-application-users-to-log-in-with-dnanexus-credentials.md#step-1-register-your-app-with-dnanexus-and-get-a-client-id), a call to this method either initializes or resets the OIDC client's client secret.

#### Outputs

* `clientId` **string** The client ID of the app that is configured as an OIDC client.
* `clientSecret` **string** The generated client secret.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://documentation.dnanexus.com/developer/api/oidc-clients.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
